// Racer.h
// Header file for netwrok racer game


#define MAX_BLOCKS			20
#define MYBUFSIZE				800
#define TRACK_W				1600
#define TRACK_H				1600

#define START_GRID_BLK		16

// Network messages
#define IPX_JOIN_GAME		1
#define IPX_START_GAME		2
#define IPX_PLAYER_DATA		3
#define IPX_END_GAME			4
#define IPX_GREEN_LIGHT		5
#define IPX_PLAYER_QUIT		6

typedef struct {
	int x;
   int y;
} Point2D_type;

typedef struct {
   int colour;
	fixed x;
   fixed y;
   fixed speed;
   fixed rotn;
   fixed drag_coeff;
	fixed wheelrotn;
   int fuel;
   int damage;
} Racer_type;

